Unverified Commit 4095d14f authored by prspkt's avatar prspkt

testing/py3-intervals: clarify license, modernize

parent aea05bf6
......@@ -7,7 +7,7 @@ pkgrel=2
pkgdesc="A Python module for handling intervals (ranges of comparable objects)"
url="https://github.com/kvesteri/intervals"
arch="noarch"
license="BSD"
license="BSD-3-Clause"
depends="py3-infinity"
makedepends="py3-setuptools"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
......@@ -17,15 +17,11 @@ replaces="py-intervals" # Backwards compatibility
provides="py-intervals=$pkgver-r$pkgrel" # Backwards compatibility
build() {
cd "$builddir"
python3 setup.py build || return 1
python3 setup.py build
}
package() {
cd "$builddir"
python3 setup.py install --prefix=/usr --root="$pkgdir"
}
md5sums="d2e7b132a4a00f001938cf47884b5e60 intervals-0.8.0.tar.gz"
sha256sums="178534a1c8d2c034f1fc062e5f90cf73682101ca81470eb5741453feef830135 intervals-0.8.0.tar.gz"
sha512sums="1953c9535c9d5dbf2080409000e9942b71416473d4856f6eb1e08e55576fce1e979d00563953afca59eed4a6ff8df2f52cf0557e88312416cf1294213e924c38 intervals-0.8.0.tar.gz"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment